Skip to main content
POST
/
users
/
{uid}
/
conversation
/
delivered
Mark User Conversation As Delivered
curl --request POST \
  --url https://{appId}.api-{region}.cometchat.io/v3/users/{uid}/conversation/delivered \
  --header 'Content-Type: application/json' \
  --header 'apikey: <api-key>' \
  --header 'onBehalfOf: <onbehalfof>' \
  --data '
{
  "messageId": 123
}
'
{
  "data": {
    "success": true,
    "Message": "All the messages from the user are marked as delivered for the requesting user."
  }
}

Documentation Index

Fetch the complete documentation index at: https://cometchat-22654f5b-docs-android-v6-beta2.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

For the complete error reference, see Error Guide.

Authorizations

apikey
string
header
required

API Key with fullAccess scope(i.e. Rest API Key from the Dashboard).

Headers

onBehalfOf
string
required

UID of the receiver of the message

Path Parameters

uid
string
required

UID of the user whose conversation is being accessed.

Body

application/json
messageId
integer

The id of the message upto which the conversation needs to be marked as delivered.

Response

200 - application/json

Marking Conversation as delivered

data
object